<?php
/*
Plugin Name: Dynamic Tag Links
Plugin URI: http://jacobrask.net/lab/wp/taglinks/
Description: Adds the shortcode [taglink], which links to a tag, but only if it exists. Usage: [taglink tag="tag1;tag2;..."]text[/taglink]. First checks for the existance of tag1, then tag2, etc. If no tag is specified, the shortcode content is used as the tag.
Version: 0.2
Author: Jacob Rask
Author URI: http://jacobrask.net
*/

function sc_taglink( $atts , $content = null ) {

	extract( shortcode_atts(array(
		'tag' => '',
	), $atts) );
	
	if ($tag == '')
		$tag = $content; // if name is not specified, use tag content
	
	$tag = explode( ";" , $tag );
	$alltags = get_tags();
	
	foreach ( $alltags as $tag ) {
		foreach ( $tag as $n ) {
			if ( strtolower($n) == strtolower($tag->{'name'}) ) {
				$eureka = 1;
				$tagid = $tag->{'term_id'};
				break 2;
			}
		}
	}
	
	if ( isset($eureka) )
		return '<a href="' . get_tag_link( $tagid ) . '">' . $content . '</a>';
	else
		return $content;
}

add_shortcode( 'taglink' , 'sc_taglink' );
?>